import React, { useState } from 'react';
import ReactDOM from 'react-dom';
import { Dropdown } from './Dropdown';


const options = [
  { value: 'volvo', label: 'Volvo' },
  { value: 'saab', label: 'Saab' },
  { value: 'mercedes', label: 'Mercedes' },
  { value: 'audi', label: 'Audi' },
];

const App = () => {
  const initialValue = 'saab';
  const [selectedValue, setSelectedValue] = useState(
    initialValue
  );
  console.log(selectedValue);
  return (
    <div>
      <label for="cars">Choose a car: </label>
      <Dropdown
        options={options}
        id="cars"
        selectedValue={selectedValue}
        onSelectedValueChange={setSelectedValue}
      />
    </div>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
